/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.MotivoCancelVendaPacote;
import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;
import com.rjconsultores.ventaboletos.web.gui.controladores.tarifas.EnumTipoCancelVendaPacote;

/**
 *
 * @author Bruno
 */
public class RenderMotivoCancelVendaPacote implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	MotivoCancelVendaPacote motivoCancelVendaPacote = (MotivoCancelVendaPacote) o;

        Listcell lc = new Listcell(motivoCancelVendaPacote.getMotivocancelvendapacoteId().toString());
        lc.setParent(lstm);

        lc = new Listcell(motivoCancelVendaPacote.getDescmotivocancel());
        lc.setParent(lstm);
        
                 
        lc = new Listcell(EnumTipoCancelVendaPacote.obterEnumPorDescricao(motivoCancelVendaPacote.getTipomotivocancel()).getDescricao());
        lc.setParent(lstm);
        
        lc = new Listcell(BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(motivoCancelVendaPacote.getPorcmulta(), LocaleUtil.getLocale()));
        lc.setParent(lstm);
        
        lstm.setAttribute("data", motivoCancelVendaPacote);
    }
}
